org.apache.hadoop.fs.http.server

## Class HttpFSParametersProvider.OperationParam

- java.lang.Object
- - org.apache.hadoop.lib.wsrs.Param<E>
  - - org.apache.hadoop.lib.wsrs.EnumParam<HttpFSFileSystem.Operation>
    - - org.apache.hadoop.fs.http.server.HttpFSParametersProvider.OperationParam

- Enclosing class:
    HttpFSParametersProvider

      @InterfaceAudience.Private
      public static class HttpFSParametersProvider.OperationParam
      extends EnumParam<HttpFSFileSystem.Operation>

  Class for operation parameter.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME` Parameter name.

    - ### Fields inherited from class org.apache.hadoop.lib.wsrs.Param

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationParam(String operation)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.lib.wsrs.EnumParam

      `getDomain, parse`

    - ### Methods inherited from class org.apache.hadoop.lib.wsrs.Param

      `getName, parseParam, toString, value`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      Parameter name.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OperationParam

          public OperationParam(String operation)

      Constructor.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.